#ifndef CONFIG_H
#define CONFIG_H
/*
 * file:       Config.h
 * purpose:    abstract hardware
 * project:    AVR-Timer
 * author:     Santiago M. Hernandez
 * copyright:  2008 (c) Creative commons - by-nc-sa - some rights reserved
 *             see http://creativecommons.org/licenses/by-nc-sa/3.0/ for details
 */

/*
 * selction of functionality
 */
#define WANT_WHISTLE                                       
#ifndef __AVR_ATtiny2313__
#  define WANT_CLOCK
#  define HAVE_LCD
#endif

/*
 * push buttons
 */
#define PORT_T1                 PIND
#define DDR_T1                  DDRD
#define PIN_T1                  PD0

#define PORT_T2                 PIND
#define DDR_T2                  DDRD
#define PIN_T2                  PD1

#define PORT_T3                 PIND
#define DDR_T3                  DDRD
#define PIN_T3                  PD2

#define PORT_T4                 PIND
#define DDR_T4                  DDRD
#define PIN_T4                  PD3


/*
 * outputs
 */
#define PORT_UV_SWITCH          PORTB
#define DDR_UV_SWITCH           DDRB
#define PIN_UV_SWITCH           PB0

#define PORT_LIGHT_SWITCH       PORTB
#define DDR_LIGHT_SWITCH        DDRB
#define PIN_LIGHT_SWITCH        PB1

#define PORT_BUZZ               PORTB
#define DDR_BUZZ                DDRB
#define PIN_BUZZ                PB3


/*
 * lcd
 */
#ifdef HAVE_LCD
#  define LCD_COLS              27
#  define LCD_LINES             4

#  define HAVE_BIG_LINES
#  define WANT_SAMPLE
#  define WANT_SERIAL_LCD

#  define PORT_LCD_SER_DATA     PORTD
#  define DDR_LCD_SER_DATA      DDRD
#  define PIN_LCD_SER_DATA      PD4

#  define PORT_LCD_SER_SYNC     PORTD
#  define DDR_LCD_SER_SYNC      DDRD
#  define PIN_LCD_SER_SYNC      PD5

#  define PORT_LCD_SER_CLOCK    PORTD
#  define DDR_LCD_SER_CLOCK     DDRD
#  define PIN_LCD_SER_CLOCK     PD6
#endif

/*
 * communication
 */
#ifdef __AVR_ATtiny2313__
#define COMM_DATA               USIDR
#endif
#ifdef __AVR_ATmega88__
#define COMM_DATA               SPDR
#endif
#ifdef __AVR_ATmega16__
#define COMM_DATA               SPDR
#endif
#define PORT_COMM_CLOCK         PORTB
#define DDR_COMM_CLOCK          DDRB
#define PIN_COMM_CLOCK          PB7

#define PORT_COMM_DATA          PORTB
#define DDR_COMM_DATA           DDRB
#define PIN_COMM_DATA           PB6

#define PORT_COMM_SYNC          PORTB
#define DDR_COMM_SYNC           DDRB
#define PIN_COMM_SYNC           PB4
#endif
