#ifndef SPI_H
#define SPI_H
/*
 * file:       SPI.h
 * purpose:    serial SPI communication
 * project:    common
 * author:     Santiago M. Hernandez
 * copyright:  2008 (c) Creative commons - by-nc-sa - some rights reserved
 *             see http://creativecommons.org/licenses/by-nc-sa/3.0/ for details
 */
#define COMM_CLOCK_LOW  (1 << USIWM0 | 1 << USITC)
#define COMM_CLOCK_HIGH (1 << USIWM0 | 1 << USITC | 1 << USICLK)

enum SyncMode {
   SYNC_NONE,
   SYNC_ONCE,
   SYNC_EACH
};

/*
 * prototypes
 */
void spiInit(void);
void spiWrite(uint8_t *p, uint8_t s, enum SyncMode sm);
void spiSendByte(uint8_t b);

#endif
